# Cases directory for Ridgepack

This directory is designed for cases that use the core MATLAB utilities
in Ridgepack for specific models and research papers.  This includes functions 
specifically designed for interpreting output from the Regional Arctic System Model 
(RASM; http://www.oc.nps.edu/NAME/RASM\_PhaseIII.html) and for development
of the CICE Consortium sea ice model (https://github.com/CICE-Consortium). 

All MATLAB scripts within case directories use functions within the adjacent
library directory. Those functions are documented separately from the scripts
that use them in this case directory.


## Cases currently available

### JAMES\_2018\_Variational\_Ridging

Scripts used to demonstrate the functionality of the sea ice morphology library described in:

Roberts, A.F., E.C. Hunke, S.M. Kamal, W.H. Lipscomb, C. Horvat, W. Maslowski (2018),
Variational Method for Sea Ice Ridging in Earth System Models, Part I: Theory, *submitted to J. Adv. Model Earth Sy.*.

## Cases to become available in 2018

### RASM\_Sea_Ice_Toolbox

Scripts used to analyse the dynamics and thermodynamics of the coupled RASM sea ice 
component.


## Authors
Andrew Roberts, Naval Postgraduate School, April 2018 (afrobert@nps.edu)

Reviewer for JAMES\_2018\_Variational\_Ridging: Samy Kamal, Naval Postgraduate School, May 2018

## Required software

Designed to be used with MATLAB 2018a or a newer version

